Bug 1170232 - dnf eats newlines from error message
Summary: dnf eats newlines from error message
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Silhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-03 14:33 UTC by Jan Synacek
Modified: 2014-12-09 18:50 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-09 18:50:13 UTC


Attachments (Terms of Use)

Description Jan Synacek 2014-12-03 14:33:06 UTC
Description of problem:
I think I have a basic installation.

# dnf groupinstall "Fedora Workstation"
Error: package NetworkManager-wifi-1:0.9.10.0-13.git20140704.fc21.x86_64 requires NetworkManager(x86-64) = 1:0.9.10.0-13.git20140704.fc21, but none of the providers can be installed. package NetworkManager-adsl-1:0.9.10.0-13.git20140704.fc21.x86_64 requires NetworkManager(x86-64) = 1:0.9.10.0-13.git20140704.fc21, but none of the providers can be installed. package firewalld-config-workstation-0.3.12-1.fc21.noarch conflicts with firewalld-config-standard provided by firewalld-config-standard-0.3.12-1.fc21.noarch. package abrt-desktop-2.3.0-3.fc21.x86_64 requires abrt-addon-python, but none of the providers can be installed. package fedora-release-workstation-21-2.noarch conflicts with fedora-release-nonproduct provided by fedora-release-nonproduct-21-2.noarch. package abrt-cli-2.3.0-3.fc21.x86_64 requires abrt-addon-python3, but none of the providers can be installed. package samba-client-2:4.1.12-5.fc21.x86_64 requires libsamba-util.so.0()(64bit), but none of the providers can be installed

The error message here is actually one long line.


Version-Release number of selected component (if applicable):
dnf-0.6.2-1.fc21.noarch


Actual results:
Newlines get eaten and the message is not easily readable.


Expected results:
Newlines are preserved and the message is readable.

Comment 1 Honza Silhan 2014-12-05 17:49:05 UTC
Thanks for the report. Fixed in the upstream.


Note You need to log in before you can comment on or make changes to this bug.